Bug 182121 - C++ GUI applications don't compile on x86-64 FC4 and FC5 in KDevelop
C++ GUI applications don't compile on x86-64 FC4 and FC5 in KDevelop
Product: Fedora
Classification: Fedora
Component: kdevelop (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2006-02-20 12:50 EST by Stephen Black
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-17 18:20:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
configuration log produced by configure from within KDevelop (99.58 KB, text/plain)
2006-02-20 12:50 EST, Stephen Black
no flags Details

  None (edit)
Description Stephen Black 2006-02-20 12:50:35 EST
Description of problem:
C++ applications for gui (QT based) applications written in KDevelop will not
compile on x86-64 FC5. Configure (created by Automake) is looking for KDE and QT
libraries in the wrong location. See config.log file attached. On my system FC5
installs these libraies in /usr/lib64 rather than /usr/lib. Compilation doesn't
get as far as make but fails on configure with an error stating KDE libraries
are not installed. An inspection of config.log shows why this occurred.

Version-Release number of selected component (if applicable):
KDevelop 3.3.1 (x86-64)

How reproducible:

Steps to Reproduce:
1. Open KDevelop: KDE/C++ and create a new project based on either the Simple
KDE Application or Simple Designer Based KDE Application. (This is a 'Hello
World' app). 
2. Run 'Build Project'
3. Answer 'Run Them' to 'Build Automake and Friends'
Actual results:
The messages window produces the following output (extract only)

checking for KDE... 
configure: error:
in the prefix, you've chosen, are no KDE libraries installed. This will fail.
So, check this please and use another prefix!
*** Exited with status: 1 ***

Expected results:
Compilation should successfully finish with an executable program, which can be
run from selecting 'Start' on the 'Debug' menu

Additional info:
This problem existed on the release version of FC4 and from reading other posts
on fedoraforum.org since FC2/3

You can get around the problem by entering the following into the configure
arguments box on Project/Project Options/Configure Options:

--enable-debug=full --enable-libsuffix=64 --with-qt-dir=/usr/lib64/qt-3.3/

However, this has to be done for every project.
Comment 1 Stephen Black 2006-02-20 12:50:35 EST
Created attachment 124890 [details]
configuration log produced by configure from within KDevelop
Comment 2 Matthew Miller 2007-04-06 13:59:27 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 3 Rex Dieter 2007-11-17 18:20:35 EST
no feedback, closing.

Note You need to log in before you can comment on or make changes to this bug.